Subject: RE: [Simple] comments on rpids-01 - <placetype>

From: [email-masked]
Date: Fri, 27 Jun 2003 15:08:29 -0400

Hi Henning,

question inline.

>-----Original Message-----
>From: ext Henning Schulzrinne [mailto:[email-masked]]
>Sent: Friday, June 27, 2003 11:32 AM
>To: Peterson, Jon
>Cc: 'Rosen, Brian'; Simpletons (E-mail)
>Subject: Re: [Simple] comments on rpids-01 - <placetype>
>
>
>
>
>Peterson, Jon wrote:
>
>
>
>
>> Well, I think it's pretty unlikely that, say, geoloc will be 
>able to be
>> transformed into a <placetype> anytime soon, and even 
>setting cell-phone
>> profiles is user entry. It seems to me that these have a realistic
>> dependency on user provisioning. 
>
>In addition to the real-life BlueTooth example I gave in an earlier 
>note, the transformation from geoloc into placetype isn't all that 
>difficult, at least for the common cases. All I need is a trivial 
>mapping that says "if geoloc is within polygon X, I'm at home; if in 
>polygon Y (covering the area between 110 and 120th Street and Broadway 
>and Amsterdam), I'm at my office; otherwise, default to public". This 
>doesn't deal with all cases, such as visiting other places, 
>but it will 
>be correct at least 90% of the time, with no central database, new 
>protocols or anything else beyond basic geoloc.

Would a watcher be able to obtain each (seemingly individual) definition of the
<home> and <work> semantics (like the one you gave for your definition of home and work
within your presence information)? 

Dirk

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: [email-masked]
Date: Fri, 27 Jun 2003 16:12:42 -0400

>[email-masked] wrote:
>
>
>I'm not sure I completely understand your question, so please 
>try again 
>if I'm not answering it. Each tuple could have a separate <placetype> 
>definition. In our prototype, each device can individually 
>discover that 
>property, either by inference from the location or by a short-range 
>'placetype/privacy/location' beacon for indoor environments.

Let's assume that your phone would infer from its current positition
that you're within 110-120th and Broadway-Amsterdam in New York, i.e.,
the <placetype> element of your (device's) presence would be <work>?!

Further assume, that at another point in time, your phone determines the <placetype>
elements through said indoor beacon system, updating your presence (more correctly the
<placetype> element) appropriately. 

Let's further assume that I (or an application running on my device) subscribes
to your presence and retrieves, among other entries, the <placetype> element with its current value
<work>, assuming that its retrieval is permitted by you.

My question is whether I'm aware of the underlying semantic, i.e., "between
110-120th and Broadway-Amsterdam" or "within in-door beacon range" when I receive
your current presence with the <placetype> element?

Dirk

---

From: [email-masked]
Date: Fri, 27 Jun 2003 17:17:47 -0400

>> I'm not arguing for source or confidence information to be included. 
>> What I doubt is the value for the watcher with respect to 
>the provided
>> information if the watcher has indeed no means to determine 
>the underlying semantic
>> of what was provided. In particular, let's assume that the presentity
>> would even want to reveal this semantic information in order 
>to implement a certain
>> service (such as making highly private calls, in which your 
>definition of work
>> as to "between 110-120th and Broadway-Amsterdam" would not 
>really help, but 
>> "within reach of indoor system" probably would). Note that 
>there's is no privacy 
>> issue here, since the presentity would agree to reveal (to 
>the watcher, i.e.,
>> the semantic description, of course, needs proper access 
>control) but can't. 
>
>This is not necessarily for privacy. <placetype> provides a hint as to 
>the type of communications that is appropriate, i.e., am I in 
>a business 
>or home setting. The privacy indicator is a separate element. It would 
>need to be set on a finer spatial granularity to be useful, 
>e.g., by an 
>indoor beacon on a room basis. Once RPIDS gets popular, all the movie 
>theaters and churches can install $50 BT beacons that automatically 
>indicate to their patrons where they are, which then gets 
>reflected into 
>presence information.
>
>> 
>> My problem is that we introduce ambiguous semantics without 
>giving the two
>> partners of communication (i.e., presentity and watcher) the 
>possibility to
>> resolve the ambiguity. I agree that in this process the 
>presentity should be
>> under control, i.e., if not desired, the semantic meaning 
>could be suppressed 
>> or even blurred. 
>
>I'm not sure what the ambiguity is.

The ambiguity lies in the fact that I do not know as a watcher what your basis
for determining <work> and <home> was, and you have no means to tell me (except
from out-of-band or note or whatever) even if you wanted to. 

Dirk

---

From: [email-masked]
Date: Fri, 27 Jun 2003 17:17:47 -0400

Dirk

---

From: [email-masked]
Date: Fri, 27 Jun 2003 16:47:49 -0400

>> Let's assume that your phone would infer from its current position
>Yes.
>> to your presence and retrieves, among other entries, the 
><placetype> element with its current value
>No, unless I include the geoloc information, you wouldn't know how I 
>found out.
>
>In general, the PIDF and RPIDS information for all elements does not 
>reveal how the information was derived, whether by beacons, location 
>lookup, calendar, first- or third-party (secretary) manual entry, or 
>some other mechanism. I suppose one could make an argument that each 
>element, not just <placetype>, should contain a confidence 
>indication or 
>a source indication, but I suspect that this isn't all that useful in 
>practice. Some people update their calendar so that the meeting ending 
>time is listed as 3.17 pm, others won't enter their three-week 
>vacation.

I'm not arguing for source or confidence information to be included. 
What I doubt is the value for the watcher with respect to the provided
information if the watcher has indeed no means to determine the underlying semantic
of what was provided. In particular, let's assume that the presentity
would even want to reveal this semantic information in order to implement a certain
service (such as making highly private calls, in which your definition of work
as to "between 110-120th and Broadway-Amsterdam" would not really help, but 
"within reach of indoor system" probably would). Note that there's is no privacy 
issue here, since the presentity would agree to reveal (to the watcher, i.e.,
the semantic description, of course, needs proper access control) but can't. 

My problem is that we introduce ambiguous semantics without giving the two
partners of communication (i.e., presentity and watcher) the possibility to
resolve the ambiguity. I agree that in this process the presentity should be
under control, i.e., if not desired, the semantic meaning could be suppressed 
or even blurred. 

>
>Also, we've always allowed that presentities can 'fib' about their 
>presence information, so a watcher probably would appreciate 
>independent 
>verification of the information more than yet more easily   creatable 
>meta-data.

I'm not talking about evaluating the actual provided value but about the semantic
of the provided value (even if it is a fake one).

Dirk